-- "High Temple" is a modified copy of the "Temple" wall set from Legend of Grimrock
-- All original models, textures etc. used in this wall set are copyright (C) Almost Human Ltd.
-- For more details on using and redistributing these assets, please visit: http://www.grimrock.net/modding/modding-and-asset-usage-terms/




defineMaterial{
   name = "high_temple_arch",
   diffuseMap = "mod_assets/textures/high_temple/high_temple_arch_dif.tga",
   specularMap = "assets/textures/env/temple_arch_spec.tga",
   normalMap = "assets/textures/env/temple_arch_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "high_temple_steel_door",
   diffuseMap = "mod_assets/textures/high_temple/high_temple_steel_door_dif.tga",
   specularMap = "mod_assets/textures/high_temple/high_temple_steel_door_spec.tga",
   normalMap = "assets/textures/env/dungeon_iron_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 75,
   depthBias = 0,
   }



defineMaterial{
   name = "high_temple_floor",
   diffuseMap = "mod_assets/textures/high_temple/high_temple_floor_dif.tga",
   specularMap = "assets/textures/env/temple_floor_spec.tga",
   normalMap = "assets/textures/env/temple_floor_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "high_temple_black_floor",
   diffuseMap = "mod_assets/textures/high_temple/high_temple_black_floor_dif.tga",
   specularMap = "assets/textures/env/temple_floor_spec.tga",
   normalMap = "assets/textures/env/temple_floor_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }



defineMaterial{
   name = "high_temple_wall",
   diffuseMap = "mod_assets/textures/high_temple/high_temple_wall_dif.tga",
   specularMap = "assets/textures/env/temple_wall_spec.tga",
   normalMap = "assets/textures/env/temple_wall_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "high_temple_wall_fresco",
   diffuseMap = "mod_assets/textures/high_temple/high_temple_wall_fresco_dif.tga",
   specularMap = "mod_assets/textures/high_temple/high_temple_wall_fresco_spec.tga",
   normalMap = "mod_assets/textures/high_temple/high_temple_wall_fresco_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }

defineMaterial{

   name = "high_temple_pillar",

   diffuseMap = "mod_assets/textures/high_temple/high_temple_pillar_dif.tga",
   specularMap = "assets/textures/env/temple_pillar_spec.tga",
   normalMap = "assets/textures/env/temple_pillar_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }



defineMaterial{
   name = "high_temple_ceiling",
   diffuseMap = "mod_assets/textures/high_temple/high_temple_ceiling_dif.tga",
   specularMap = "assets/textures/env/temple_ceiling_spec.tga",
   normalMap = "assets/textures/env/temple_ceiling_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }



defineMaterial{
   name = "high_temple_rock_wall",
   diffuseMap = "mod_assets/textures/high_temple/high_temple_rockwall_dif.tga",
   specularMap = "assets/textures/env/rockwall_tile_spec.tga",
   normalMap = "assets/textures/env/rockwall_tile_normal.tga",
   doubleSided = false,
	lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }

defineMaterial{
   name = "high_temple_stairs",
   diffuseMap = "mod_assets/textures/high_temple/high_temple_stairs_dif.tga",
   specularMap = "assets/textures/env/dungeon_stairs_spec.tga",
   normalMap = "assets/textures/env/dungeon_stairs_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }



defineMaterial{
   name = "high_temple_easy_button",
   diffuseMap = "mod_assets/textures/high_temple/high_temple_easy_button_dif.tga",
   specularMap = "assets/textures/env/temple_easy_button_spec.tga",
   normalMap = "assets/textures/env/temple_easy_button_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "high_temple_hard_button",
   diffuseMap = "mod_assets/textures/high_temple/high_temple_hard_button_dif.tga",
   specularMap = "assets/textures/env/temple_hard_button_spec.tga",
   normalMap = "assets/textures/env/temple_hard_button_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }

defineMaterial{
   name = "high_temple_medium_button",
   diffuseMap = "mod_assets/textures/high_temple/high_temple_medium_button_dif.tga",
   specularMap = "assets/textures/env/temple_medium_button_spec.tga",
   normalMap = "assets/textures/env/temple_medium_button_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }

defineMaterial{
   name = "high_temple_wall_walltext",
   diffuseMap = "mod_assets/textures/high_temple/high_temple_wall_text_dif.tga",
   specularMap = "assets/textures/env/temple_wall_text_spec.tga",
   normalMap = "assets/textures/env/temple_wall_text_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }