-- "High Temple" is a modified copy of the "Temple" wall set from Legend of Grimrock
-- All original models, textures etc. used in this wall set are copyright (C) Almost Human Ltd.
-- For more details on using and redistributing these assets, please visit: http://www.grimrock.net/modding/modding-and-asset-usage-terms/



defineWallSet{
   name = "high_temple",
   randomFloorFacing = true,

   floors = {
      "mod_assets/models/high_temple/high_temple_floor_01.fbx", 1,
      "mod_assets/models/high_temple/high_temple_floor_02.fbx", 2,
      },

   walls = {
      "mod_assets/models/high_temple/high_temple_wall.fbx", 30,
      "mod_assets/models/high_temple/high_temple_wall_drainage.fbx", 1,
      },

   pillars = {
      "mod_assets/models/high_temple/high_temple_pillar.fbx", 1,
      },

   ceilings = {
      "mod_assets/models/high_temple/high_temple_ceiling.fbx", 1,
      },

   ceilingShafts = {
      "mod_assets/models/high_temple/high_temple_ceiling_pit.fbx", 1,
      },

   floorDecorations = {
      },

   wallDecorations = {
      "assets/models/env/metal_hooks_wall.fbx", 1,
      "assets/models/env/metal_hooks_chain_wall.fbx", 1,
      },

   pillarDecorations = {
      "assets/models/env/metal_hook_pillar.fbx", 1,
      "assets/models/env/metal_hook_chain_pillar.fbx", 1,
      "assets/models/env/metal_ring_pillar.fbx", 1,
      },
   }


